Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.binding
Class JTextComponentTextBinding

Field Summary
`boolean` | `bound`
`JTextComponent` | `boundTextComponent`

Constructor Summary
`JTextComponentTextBinding(PropertyBinding source, TargetBinding target)`

Method Summary
`void` | `bind()`
`void` | `changedUpdate(DocumentEvent event)`
`void` | `insertUpdate(DocumentEvent event)`
`void` | `propertyChange(PropertyChangeEvent event)`
`void` | `rebind()`
`void` | `removeUpdate(DocumentEvent event)`
`void` | `setSourceBinding(SourceBinding source)`
`void` | `setTargetBinding(TargetBinding target)`
`void` | `unbind()`

Constructor Detail

### JTextComponentTextBinding

    public JTextComponentTextBinding(PropertyBinding source, TargetBinding target)

Method Detail

### bind

    public void bind()

### changedUpdate

    public void changedUpdate(DocumentEvent event)

### insertUpdate

    public void insertUpdate(DocumentEvent event)

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

### rebind

    public void rebind()

### removeUpdate

    public void removeUpdate(DocumentEvent event)

### setSourceBinding

    public void setSourceBinding(SourceBinding source)

### setTargetBinding

    public void setTargetBinding(TargetBinding target)

### unbind

    public void unbind()